#include <bits/stdc++.h>
using namespace std;
int main()
{
	string s;
	cin>>s;
	int l,r,sz=s.size();
	if(sz%2==0)
	{
		l=sz/2-1;
		r=l+1;
	}
	else
	{
		l=sz/2-1;
		r=l+2;
	}
	int d1,d2,c1,c2;
	bool bul=false;
	for(int i=0;i<sz;i++)
	{
		if(s[i]=='b')
		{
			if(bul==true)
			{
				c2=i;
				d2=abs(l-i+1)*2;
				if(sz%2==1)	d2++;
			}
			else
			{
				c1=i;
				d1=abs(l-i+1)*2;
				if(sz%2==1)	d1++;
				bul=true;
			}
		}
	}
	//printf("%i %i  %i %i  %i %i\n",l,r,d1,c1,d2,c2);
	int rr=abs(d1-(c2-c1+1))+1;
	if(rr==0)	printf("1");
	else	printf("%i",rr);
	return 0;
}